> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# Delete Action Approval Rule

DELETE https://%7Baccount-domain%7D.console.eon.io/api/v1/projects/{projectId}/action-approvals/rules/{actionApprovalRuleId}

Deletes an action approval rule.

Reference: https://docs.eon.io/api/api-reference/access-management/action-approvals/action-approval-rules/delete-action-approval-rule

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of the project the action approval rule is in. You can get your project ID from the [API Credentials](https://console.eon.io/global-management/api-credentials) page.
- `actionApprovalRuleId` (string, required) — Action approval rule ID.

## Response

### 204

Action approval rule deleted.

## Errors

### 404 Not Found Error

Action approval rule wasn't found.

- `error` (string, optional)

## Examples

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/projects/733888d8-2573-5f9a-b81d-21f051d24fda/action-approvals/rules/actionApprovalRuleId"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/projects/733888d8-2573-5f9a-b81d-21f051d24fda/action-approvals/rules/actionApprovalRuleId';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://{account-domain}.console.eon.io/api/v1/projects/733888d8-2573-5f9a-b81d-21f051d24fda/action-approvals/rules/actionApprovalRuleId")
  .header("Authorization", "Bearer <token>")
  .asString();
```